# Interface ITool

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Interface that a class can implement to be used to create a tool.

    public interface ITool

## Properties

### Description

Gets the description of the tool. Should not be null or empty.

    string Description { get; }

#### Property Value

string

### Function

Gets the input schema of the tool. Should not be null.

    MethodInfo Function { get; }

#### Property Value

MethodInfo

### Name

Gets the name of the tool. Should not be null or empty.

    string Name { get; }

#### Property Value

string